import React from 'react';
import {Segment, List} from 'semantic-ui-react';
import ListItem from './ListItem';

const ActionList = ({ i18n, list, removeAction }) => {

    return (
        <Segment color="blue">
            <List divided>
                {
                    list.map((t,idx) => (
                        <ListItem key={idx} i18n={i18n} data={t} idx={idx} removeAction={removeAction} />
                    ))
                }
            </List>
        </Segment>
    )
}

export default ActionList;