import React from 'react';
import {Modal, Button} from 'semantic-ui-react';

const ConfirmBox = ({obj, getNext}) => (
	<Modal open={obj && obj.msg != '' ? true : false} onClose={() => getNext()} style={{zIndex: "2001"}}>
		<Modal.Content>{obj && obj.msg ? obj.msg : ''}</Modal.Content>
		<Modal.Actions>
			<Button onClick={() => getNext(true, obj.act)} content="Submit" />
            <Button onClick={() => getNext()} content="Cancel" />
		</Modal.Actions>
	</Modal>
);


export default ConfirmBox;