import { combineReducers } from 'redux';
import dialog from './dialog';
import i18n from './i18n';
import ui from './ui';
import sysinfo from './sysinfo';
import lists from './lists';
import confirmbox from './confirmbox';

const reducers = combineReducers({
    dialog,
    i18n,
    ui,
    sysinfo,
    lists,
    confirmbox
});

export default reducers;