import React from 'react';
import {List, Label, Button} from 'semantic-ui-react';

const ListItem = ({ i18n, data, idx, removeAction }) => {

    return (
        <List.Item>
            <Label basic content={`裝置名稱`} /><span>{data.devName}</span>
            <Label basic content={`動作`} /><span>{data.actName}</span>
            <Button floated="right" color="red" basic size="tiny" content="Delete" type="button" onClick={()=>{
                    removeAction(idx)
                }}/>
        </List.Item>
    )
}

export default ListItem;