import React from 'react';
import {Grid, Image} from 'semantic-ui-react';

const EvtImgGrid = ({ i18n, dname, list }) => {

    return (
        <Grid columns={3}>
            {
                list.map((t,idx) => {
                    return (
                        <Grid.Column key={idx}>
                            <Image fluid src={`/viewcamimg/${dname}/${t}`} href={`/viewcamimg/${dname}/${t}`} target="_blank"/>
                        </Grid.Column>
                    )
                })
            }
        </Grid>
    )
}

export default EvtImgGrid;