import React from 'react';
import {Table, Button} from 'semantic-ui-react';

const ListItem = ({ i18n, data, swActive, openModal, delIPCam, getEvents }) => {

    return (
        <Table.Row>
            <Table.Cell>
                <Button basic content="修改" type="button" onClick={()=>openModal(1, data)} />
                <Button basic content="刪除" type="button" onClick={()=>delIPCam(data.uid)}/>
                <Button basic content={data.active == 1 ? '停用' : '啟用'} type="button" onClick={()=>swActive(data.uid)} />
                <Button basic content="事件紀錄" type="button" onClick={()=>getEvents(data.uid, data.name)} />
            </Table.Cell>
            <Table.Cell>{data.name}</Table.Cell>
            <Table.Cell>{data.ip}</Table.Cell>
            <Table.Cell>{data.model}</Table.Cell>
            <Table.Cell>{data.model == 'AXIS-M1124' ? `/${data.model}-${data.uid}` : '/'}</Table.Cell>
            <Table.Cell>{data.active == 1? '啟用' : '停用'}</Table.Cell>
        </Table.Row>
    )
}

export default ListItem;