import React from 'react';
import {Table, Checkbox} from 'semantic-ui-react';

const ScanItem = ({i18n, data, idx, onChange}) => (
	<Table.Row>
		<Table.Cell><Checkbox onChange={(e,d) => {onChange(idx, d.checked)}} checked={data.checked} /></Table.Cell>
		<Table.Cell>{data.leonename}</Table.Cell>
		<Table.Cell>{data.leoneip}</Table.Cell>
	</Table.Row>
)

export default ScanItem;