import React from 'react';
import {Menu, Checkbox} from 'semantic-ui-react';

const ListItem = ({i18n, data, checked, toggleSelect}) => {

    return (
        <Menu.Item>
            <Checkbox label={data.name} checked={checked} onChange={(e,d)=>{ toggleSelect(data.uid) }}/>
        </Menu.Item>
    )
}

export default ListItem;