import React from 'react';
import { Table, Button } from 'semantic-ui-react';

const ListItem = ({ i18n, data, delLocation, editLocation }) => {

    return (
        <Table.Row>
            <Table.Cell>
                <Button content="Edit" basic onClick={()=>{editLocation(1, data)}} />
                <Button content="Delete" basic onClick={()=>{delLocation(data.uid)}} />
            </Table.Cell>
            <Table.Cell>{data.serialnumber}</Table.Cell>
            <Table.Cell>{data.name}</Table.Cell>
        </Table.Row>
    )
}

export default ListItem;