import React from 'react';
import {List, Grid, Label} from 'semantic-ui-react';

const AlertItem = ({i18n, name, type}) => {

    return (
        <Grid.Row columns={3} color="red">
            <Grid.Column>
                <Label basic content={type == 'di' ? "DigitalInput" : "LeOne"} />
            </Grid.Column>
            <Grid.Column>
                <Label basic content={i18n&&i18n.t ? i18n.t('dashboard.label.name') : ''} />{name}
            </Grid.Column>
            <Grid.Column>
                <Label basic content={i18n&&i18n.t ? i18n.t('dashboard.label.status') : ''} />
                {i18n&&i18n.t ? ( type == 'di' ? i18n.t('dashboard.status.digitalinput') : i18n.t('dashboard.status.leone') ): ''}
            </Grid.Column>
        </Grid.Row>
    )
}

export default AlertItem;