import { connect } from 'react-redux';
import ConfirmBox from '../components/ConfirmBox';
import { remove_confirm } from '../actions'

const mapStateToProps = (state) => ({
    obj: state.confirmbox[0] || null
});

const mapDispatchToProps = (dispatch, ownProps) => ({
    getNext: (doit = false, act = null) => {
        //get next dialog message
        if (doit) {
            if (typeof act == 'function') act();
        }
        dispatch(remove_confirm());
    }
});

export default connect(mapStateToProps, mapDispatchToProps)(ConfirmBox);